Skip to main content
The Bright Data SERP API accepts the following parameters to control the format of Google search responses.

Parsing

ParameterTypeRequiredDefaultAccepted values
brd_jsonstringNonone1, html
x-unblock-data-formatHTTP headerNononeparsed_light

Raw HTML

Default response format. No additional parameter is required.
curl --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer-id>-zone-<zone-name>:<zone-password> "https://www.google.com/search?q=pizza"

brd_json

ValueResponse
brd_json=1Parsed JSON
brd_json=htmlParsed JSON with an additional "html" field containing the raw HTML
curl --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer-id>-zone-<zone-name>:<zone-password> "https://www.google.com/search?q=pizza&brd_json=1"
For the full JSON response schema and field descriptions, see Parsed JSON results.

x-unblock-data-format: parsed_light

ValueResponse
parsed_lightParsed JSON limited to top 10 organic results, approximately 50% lower latency than full JSON parsing
curl -k --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>:<zone_password> -H "x-unblock-data-format: parsed_light" "https://www.google.com/search?q=pizza"